Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Interface OutputMethodHandler

All Known Implementing Classes:
  OutputMethodHandlerImpl

public interface OutputMethodHandler

constructs a DocumentHandler appropriate for a given output method (which typically is determined by the stylesheet) and destination (which is determined externally)

Field Summary
`static char` | `namespaceSeparator`

Method Summary
`org.xml.sax.DocumentHandler` | `createDocumentHandler(java.lang.String outputMethodName, org.xml.sax.AttributeList outputMethodAtts)` construct the DocumentHandler for the given outputMethodName appropriate for the destination with which this object had been constructed
`OutputMethodHandler` | `createOutputMethodHandler(java.lang.String uri)` construct one of these guys for a given output URI (destination)

Field Detail

### namespaceSeparator

    public static final char namespaceSeparator

See Also:
  Constant Field Values

Method Detail

### createDocumentHandler

    public org.xml.sax.DocumentHandler createDocumentHandler(java.lang.String outputMethodName,
                                                             org.xml.sax.AttributeList outputMethodAtts)
                                                      throws java.io.IOException,
                                                             org.xml.sax.SAXException

  construct the DocumentHandler for the given outputMethodName appropriate for the destination with which this object had been constructed

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### createOutputMethodHandler

    public OutputMethodHandler createOutputMethodHandler(java.lang.String uri)

  construct one of these guys for a given output URI (destination)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD